# $Revision: 1.0 $, $Date: 2006/11/12 15:19:32 $
Summary:	Wake-On-Lan support for nVidia nForce ethernet drivers
Summary(pl):	Wsparcie dla Wake-On-Lan dla kart sieciowych nVidia nForce
Name:		forcedeth-wol
Version:	1.1
Release:	1
License:	GPL
Group:		Networking
Source0:	ftp://ftp.pld-linux.org/people/siefca/software/%{name}-%{version}.tar.gz
Requires(post,preun):	/sbin/chkconfig
Requires(post,preun):	rc-scripts
Requires:	ethtool
Requires:	rc-scripts
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		localedir	/etc/sysconfig/locale
%define		_sbindir	/sbin

%description
nVidia nForce on-board ethernet drivers cannot correctly enter in the
sleep state. This causes problems with Wake-On-Lan feature. This
package implements work-around to fix it. For fine working the patched
forcedeth kernel driver is also required.

%description -l pl
Sterowniki dla kart sieciowych nVidia nForce nie potrafi tak ustawi
karty, aby moga ona samodzielnie wej w stan upienia. Sprawia to
kopoty z obsug funkcji Wake-On-Lan. Ten pakiet implementuje
obejcie, aby ta funkcjonalno bya moliwa. Do prawidowego
dziaania wymagany jest dodatkowo odpowiednio spreparowany modu
kernela forcedeth.

%prep
%setup -q

%build
%configure \
	--with-localedir=%{localedir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/etc/rc.d/init.d

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add forcedeth-wol
/etc/rc.d/init.d/forcedeth-wol start >/dev/null 2>&1

%preun
if [ "$1" = "0" ]; then
	%service forcedeth-wol stop >/dev/null 2>&1
	/sbin/chkconfig --del forcedeth-wol
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%doc doc/README*.txt doc/linux-*WON.patch

%attr(754,root,root) /etc/rc.d/init.d/forcedeth-wol
%attr(755,root,root) %{_sbindir}/pci-config

%dir %{localedir}
%lang(pl) %{localedir}/pl

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: forcedeth-wol.spec,v $
